org.apache.cassandra.io.util

## Class ChecksummedRandomAccessReader

- java.lang.Object
- - org.apache.cassandra.io.util.ChecksummedRandomAccessReader

-     public final class ChecksummedRandomAccessReader
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChecksummedRandomAccessReader()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RandomAccessReader` | `open(java.io.File file, java.io.File crcFile)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChecksummedRandomAccessReader

          public ChecksummedRandomAccessReader()

  - ### Method Detail

    - #### open

          public static RandomAccessReader open(java.io.File file,
                                                java.io.File crcFile)
                                         throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation